"use strict";var Ve=Object.defineProperty,Ue=Object.defineProperties;var Ge=Object.getOwnPropertyDescriptors;var te=Object.getOwnPropertySymbols;var Pe=Object.prototype.hasOwnProperty,Qe=Object.prototype.propertyIsEnumerable;var ie=(n,e,t)=>e in n?Ve(n,e,{enumerable:!0,configurable:!0,writable:!0,value:t}):n[e]=t,N=(n,e)=>{for(var t in e||(e={}))Pe.call(e,t)&&ie(n,t,e[t]);if(te)for(var t of te(e))Qe.call(e,t)&&ie(n,t,e[t]);return n},_=(n,e)=>Ue(n,Ge(e));var C=require("./codemirror.cjs.js"),Ye=require("./types.cjs.js"),g=require("./Range.cjs.js"),i=require("./index.cjs.js"),m=require("./introspection.cjs.js"),S=require("./scalars.cjs.js");require("react");require("react-dom");function Te(n){return i.instanceOf(n,L)}class L{constructor(e){var t,r;this.name=i.assertName(e.name),this.description=e.description,this.locations=e.locations,this.isRepeatable=(t=e.isRepeatable)!==null&&t!==void 0?t:!1,this.extensions=i.toObjMap(e.extensions),this.astNode=e.astNode,Array.isArray(e.locations)||i.devAssert(!1,`@${e.name} locations must be an Array.`);const s=(r=e.args)!==null&&r!==void 0?r:{};i.isObjectLike(s)&&!Array.isArray(s)||i.devAssert(!1,`@${e.name} args must be an object with argument names as keys.`),this.args=i.defineArguments(s)}get[Symbol.toStringTag](){return"GraphQLDirective"}toConfig(){return{name:this.name,description:this.description,locations:this.locations,args:i.argsToArgsConfig(this.args),isRepeatable:this.isRepeatable,extensions:this.extensions,astNode:this.astNode}}toString(){return"@"+this.name}toJSON(){return this.toString()}}const ye=new L({name:"include",description:"Directs the executor to include this field or fragment only when the `if` argument is true.",locations:[m.DirectiveLocation.FIELD,m.DirectiveLocation.FRAGMENT_SPREAD,m.DirectiveLocation.INLINE_FRAGMENT],args:{if:{type:new i.GraphQLNonNull(S.GraphQLBoolean),description:"Included when true."}}}),ge=new L({name:"skip",description:"Directs the executor to skip this field or fragment when the `if` argument is true.",locations:[m.DirectiveLocation.FIELD,m.DirectiveLocation.FRAGMENT_SPREAD,m.DirectiveLocation.INLINE_FRAGMENT],args:{if:{type:new i.GraphQLNonNull(S.GraphQLBoolean),description:"Skipped when true."}}}),qe="No longer supported",Ee=new L({name:"deprecated",description:"Marks an element of a GraphQL schema as no longer supported.",locations:[m.DirectiveLocation.FIELD_DEFINITION,m.DirectiveLocation.ARGUMENT_DEFINITION,m.DirectiveLocation.INPUT_FIELD_DEFINITION,m.DirectiveLocation.ENUM_VALUE],args:{reason:{type:S.GraphQLString,description:"Explains why this element was deprecated, usually also including a suggestion for how to access supported similar data. Formatted using the Markdown syntax, as specified by [CommonMark](https://commonmark.org/).",defaultValue:qe}}}),Be=new L({name:"specifiedBy",description:"Exposes a URL that specifies the behavior of this scalar.",locations:[m.DirectiveLocation.SCALAR],args:{url:{type:new i.GraphQLNonNull(S.GraphQLString),description:"The URL that specifies the behavior of this scalar."}}}),$=Object.freeze([ye,ge,Ee,Be]);function Xe(n){return i.instanceOf(n,He)}function Je(n){if(!Xe(n))throw new Error(`Expected ${i.inspect(n)} to be a GraphQL schema.`);return n}class He{constructor(e){var t,r;this.__validationErrors=e.assumeValid===!0?[]:void 0,i.isObjectLike(e)||i.devAssert(!1,"Must provide configuration object."),!e.types||Array.isArray(e.types)||i.devAssert(!1,`"types" must be Array if provided but got: ${i.inspect(e.types)}.`),!e.directives||Array.isArray(e.directives)||i.devAssert(!1,`"directives" must be Array if provided but got: ${i.inspect(e.directives)}.`),this.description=e.description,this.extensions=i.toObjMap(e.extensions),this.astNode=e.astNode,this.extensionASTNodes=(t=e.extensionASTNodes)!==null&&t!==void 0?t:[],this._queryType=e.query,this._mutationType=e.mutation,this._subscriptionType=e.subscription,this._directives=(r=e.directives)!==null&&r!==void 0?r:$;const s=new Set(e.types);if(e.types!=null)for(const o of e.types)s.delete(o),h(o,s);this._queryType!=null&&h(this._queryType,s),this._mutationType!=null&&h(this._mutationType,s),this._subscriptionType!=null&&h(this._subscriptionType,s);for(const o of this._directives)if(Te(o))for(const a of o.args)h(a.type,s);h(m.__Schema,s),this._typeMap=Object.create(null),this._subTypeMap=Object.create(null),this._implementationsMap=Object.create(null);for(const o of s){if(o==null)continue;const a=o.name;if(a||i.devAssert(!1,"One of the provided types for building the Schema is missing a name."),this._typeMap[a]!==void 0)throw new Error(`Schema must contain uniquely named types but contains multiple types named "${a}".`);if(this._typeMap[a]=o,i.isInterfaceType(o)){for(const c of o.getInterfaces())if(i.isInterfaceType(c)){let u=this._implementationsMap[c.name];u===void 0&&(u=this._implementationsMap[c.name]={objects:[],interfaces:[]}),u.interfaces.push(o)}}else if(i.isObjectType(o)){for(const c of o.getInterfaces())if(i.isInterfaceType(c)){let u=this._implementationsMap[c.name];u===void 0&&(u=this._implementationsMap[c.name]={objects:[],interfaces:[]}),u.objects.push(o)}}}}get[Symbol.toStringTag](){return"GraphQLSchema"}getQueryType(){return this._queryType}getMutationType(){return this._mutationType}getSubscriptionType(){return this._subscriptionType}getRootType(e){switch(e){case i.OperationTypeNode.QUERY:return this.getQueryType();case i.OperationTypeNode.MUTATION:return this.getMutationType();case i.OperationTypeNode.SUBSCRIPTION:return this.getSubscriptionType()}}getTypeMap(){return this._typeMap}getType(e){return this.getTypeMap()[e]}getPossibleTypes(e){return i.isUnionType(e)?e.getTypes():this.getImplementations(e).objects}getImplementations(e){const t=this._implementationsMap[e.name];return t!=null?t:{objects:[],interfaces:[]}}isSubType(e,t){let r=this._subTypeMap[e.name];if(r===void 0){if(r=Object.create(null),i.isUnionType(e))for(const s of e.getTypes())r[s.name]=!0;else{const s=this.getImplementations(e);for(const o of s.objects)r[o.name]=!0;for(const o of s.interfaces)r[o.name]=!0}this._subTypeMap[e.name]=r}return r[t.name]!==void 0}getDirectives(){return this._directives}getDirective(e){return this.getDirectives().find(t=>t.name===e)}toConfig(){return{description:this.description,query:this.getQueryType(),mutation:this.getMutationType(),subscription:this.getSubscriptionType(),types:Object.values(this.getTypeMap()),directives:this.getDirectives(),extensions:this.extensions,astNode:this.astNode,extensionASTNodes:this.extensionASTNodes,assumeValid:this.__validationErrors!==void 0}}}function h(n,e){const t=i.getNamedType(n);if(!e.has(t)){if(e.add(t),i.isUnionType(t))for(const r of t.getTypes())h(r,e);else if(i.isObjectType(t)||i.isInterfaceType(t)){for(const r of t.getInterfaces())h(r,e);for(const r of Object.values(t.getFields())){h(r.type,e);for(const s of r.args)h(s.type,e)}}else if(i.isInputObjectType(t))for(const r of Object.values(t.getFields()))h(r.type,e)}return e}function We(n){if(Je(n),n.__validationErrors)return n.__validationErrors;const e=new Ze(n);xe(e),en(e),nn(e);const t=e.getErrors();return n.__validationErrors=t,t}function ze(n){const e=We(n);if(e.length!==0)throw new Error(e.map(t=>t.message).join(`

`))}class Ze{constructor(e){this._errors=[],this.schema=e}reportError(e,t){const r=Array.isArray(t)?t.filter(Boolean):t;this._errors.push(new i.GraphQLError(e,{nodes:r}))}getErrors(){return this._errors}}function xe(n){const e=n.schema,t=e.getQueryType();if(!t)n.reportError("Query root type must be provided.",e.astNode);else if(!i.isObjectType(t)){var r;n.reportError(`Query root type must be Object type, it cannot be ${i.inspect(t)}.`,(r=M(e,i.OperationTypeNode.QUERY))!==null&&r!==void 0?r:t.astNode)}const s=e.getMutationType();if(s&&!i.isObjectType(s)){var o;n.reportError(`Mutation root type must be Object type if provided, it cannot be ${i.inspect(s)}.`,(o=M(e,i.OperationTypeNode.MUTATION))!==null&&o!==void 0?o:s.astNode)}const a=e.getSubscriptionType();if(a&&!i.isObjectType(a)){var c;n.reportError(`Subscription root type must be Object type if provided, it cannot be ${i.inspect(a)}.`,(c=M(e,i.OperationTypeNode.SUBSCRIPTION))!==null&&c!==void 0?c:a.astNode)}}function M(n,e){var t;return(t=[n.astNode,...n.extensionASTNodes].flatMap(r=>{var s;return(s=r==null?void 0:r.operationTypes)!==null&&s!==void 0?s:[]}).find(r=>r.operation===e))===null||t===void 0?void 0:t.type}function en(n){for(const t of n.schema.getDirectives()){if(!Te(t)){n.reportError(`Expected directive but got: ${i.inspect(t)}.`,t==null?void 0:t.astNode);continue}I(n,t);for(const r of t.args)if(I(n,r),i.isInputType(r.type)||n.reportError(`The type of @${t.name}(${r.name}:) must be Input Type but got: ${i.inspect(r.type)}.`,r.astNode),i.isRequiredArgument(r)&&r.deprecationReason!=null){var e;n.reportError(`Required argument @${t.name}(${r.name}:) cannot be deprecated.`,[Y(r.astNode),(e=r.astNode)===null||e===void 0?void 0:e.type])}}}function I(n,e){e.name.startsWith("__")&&n.reportError(`Name "${e.name}" must not begin with "__", which is reserved by GraphQL introspection.`,e.astNode)}function nn(n){const e=cn(n),t=n.schema.getTypeMap();for(const r of Object.values(t)){if(!i.isNamedType(r)){n.reportError(`Expected GraphQL named type but got: ${i.inspect(r)}.`,r.astNode);continue}m.isIntrospectionType(r)||I(n,r),i.isObjectType(r)||i.isInterfaceType(r)?(re(n,r),se(n,r)):i.isUnionType(r)?sn(n,r):i.isEnumType(r)?on(n,r):i.isInputObjectType(r)&&(an(n,r),e(r))}}function re(n,e){const t=Object.values(e.getFields());t.length===0&&n.reportError(`Type ${e.name} must define one or more fields.`,[e.astNode,...e.extensionASTNodes]);for(const a of t){if(I(n,a),!i.isOutputType(a.type)){var r;n.reportError(`The type of ${e.name}.${a.name} must be Output Type but got: ${i.inspect(a.type)}.`,(r=a.astNode)===null||r===void 0?void 0:r.type)}for(const c of a.args){const u=c.name;if(I(n,c),!i.isInputType(c.type)){var s;n.reportError(`The type of ${e.name}.${a.name}(${u}:) must be Input Type but got: ${i.inspect(c.type)}.`,(s=c.astNode)===null||s===void 0?void 0:s.type)}if(i.isRequiredArgument(c)&&c.deprecationReason!=null){var o;n.reportError(`Required argument ${e.name}.${a.name}(${u}:) cannot be deprecated.`,[Y(c.astNode),(o=c.astNode)===null||o===void 0?void 0:o.type])}}}}function se(n,e){const t=Object.create(null);for(const r of e.getInterfaces()){if(!i.isInterfaceType(r)){n.reportError(`Type ${i.inspect(e)} must only implement Interface types, it cannot implement ${i.inspect(r)}.`,D(e,r));continue}if(e===r){n.reportError(`Type ${e.name} cannot implement itself because it would create a circular reference.`,D(e,r));continue}if(t[r.name]){n.reportError(`Type ${e.name} can only implement ${r.name} once.`,D(e,r));continue}t[r.name]=!0,rn(n,e,r),tn(n,e,r)}}function tn(n,e,t){const r=e.getFields();for(const u of Object.values(t.getFields())){const l=u.name,p=r[l];if(!p){n.reportError(`Interface field ${t.name}.${l} expected but ${e.name} does not provide it.`,[u.astNode,e.astNode,...e.extensionASTNodes]);continue}if(!g.isTypeSubTypeOf(n.schema,p.type,u.type)){var s,o;n.reportError(`Interface field ${t.name}.${l} expects type ${i.inspect(u.type)} but ${e.name}.${l} is type ${i.inspect(p.type)}.`,[(s=u.astNode)===null||s===void 0?void 0:s.type,(o=p.astNode)===null||o===void 0?void 0:o.type])}for(const f of u.args){const d=f.name,T=p.args.find(y=>y.name===d);if(!T){n.reportError(`Interface field argument ${t.name}.${l}(${d}:) expected but ${e.name}.${l} does not provide it.`,[f.astNode,p.astNode]);continue}if(!g.isEqualType(f.type,T.type)){var a,c;n.reportError(`Interface field argument ${t.name}.${l}(${d}:) expects type ${i.inspect(f.type)} but ${e.name}.${l}(${d}:) is type ${i.inspect(T.type)}.`,[(a=f.astNode)===null||a===void 0?void 0:a.type,(c=T.astNode)===null||c===void 0?void 0:c.type])}}for(const f of p.args){const d=f.name;!u.args.find(y=>y.name===d)&&i.isRequiredArgument(f)&&n.reportError(`Object field ${e.name}.${l} includes required argument ${d} that is missing from the Interface field ${t.name}.${l}.`,[f.astNode,u.astNode])}}}function rn(n,e,t){const r=e.getInterfaces();for(const s of t.getInterfaces())r.includes(s)||n.reportError(s===e?`Type ${e.name} cannot implement ${t.name} because it would create a circular reference.`:`Type ${e.name} must implement ${s.name} because it is implemented by ${t.name}.`,[...D(t,s),...D(e,t)])}function sn(n,e){const t=e.getTypes();t.length===0&&n.reportError(`Union type ${e.name} must define one or more member types.`,[e.astNode,...e.extensionASTNodes]);const r=Object.create(null);for(const s of t){if(r[s.name]){n.reportError(`Union type ${e.name} can only include type ${s.name} once.`,oe(e,s.name));continue}r[s.name]=!0,i.isObjectType(s)||n.reportError(`Union type ${e.name} can only include Object types, it cannot include ${i.inspect(s)}.`,oe(e,String(s)))}}function on(n,e){const t=e.getValues();t.length===0&&n.reportError(`Enum type ${e.name} must define one or more values.`,[e.astNode,...e.extensionASTNodes]);for(const r of t)I(n,r)}function an(n,e){const t=Object.values(e.getFields());t.length===0&&n.reportError(`Input Object type ${e.name} must define one or more fields.`,[e.astNode,...e.extensionASTNodes]);for(const o of t){if(I(n,o),!i.isInputType(o.type)){var r;n.reportError(`The type of ${e.name}.${o.name} must be Input Type but got: ${i.inspect(o.type)}.`,(r=o.astNode)===null||r===void 0?void 0:r.type)}if(i.isRequiredInputField(o)&&o.deprecationReason!=null){var s;n.reportError(`Required input field ${e.name}.${o.name} cannot be deprecated.`,[Y(o.astNode),(s=o.astNode)===null||s===void 0?void 0:s.type])}}}function cn(n){const e=Object.create(null),t=[],r=Object.create(null);return s;function s(o){if(e[o.name])return;e[o.name]=!0,r[o.name]=t.length;const a=Object.values(o.getFields());for(const c of a)if(i.isNonNullType(c.type)&&i.isInputObjectType(c.type.ofType)){const u=c.type.ofType,l=r[u.name];if(t.push(c),l===void 0)s(u);else{const p=t.slice(l),f=p.map(d=>d.name).join(".");n.reportError(`Cannot reference Input Object "${u.name}" within itself through a series of non-null fields: "${f}".`,p.map(d=>d.astNode))}t.pop()}r[o.name]=void 0}}function D(n,e){const{astNode:t,extensionASTNodes:r}=n;return(t!=null?[t,...r]:r).flatMap(o=>{var a;return(a=o.interfaces)!==null&&a!==void 0?a:[]}).filter(o=>o.name.value===e.name)}function oe(n,e){const{astNode:t,extensionASTNodes:r}=n;return(t!=null?[t,...r]:r).flatMap(o=>{var a;return(a=o.types)!==null&&a!==void 0?a:[]}).filter(o=>o.name.value===e)}function Y(n){var e;return n==null||(e=n.directives)===null||e===void 0?void 0:e.find(t=>t.name.value===Ee.name)}function E(n,e){switch(e.kind){case i.Kind.LIST_TYPE:{const t=E(n,e.type);return t&&new i.GraphQLList(t)}case i.Kind.NON_NULL_TYPE:{const t=E(n,e.type);return t&&new i.GraphQLNonNull(t)}case i.Kind.NAMED_TYPE:return n.getType(e.name.value)}}class he{constructor(e,t,r){this._schema=e,this._typeStack=[],this._parentTypeStack=[],this._inputTypeStack=[],this._fieldDefStack=[],this._defaultValueStack=[],this._directive=null,this._argument=null,this._enumValue=null,this._getFieldDef=r!=null?r:un,t&&(i.isInputType(t)&&this._inputTypeStack.push(t),i.isCompositeType(t)&&this._parentTypeStack.push(t),i.isOutputType(t)&&this._typeStack.push(t))}get[Symbol.toStringTag](){return"TypeInfo"}getType(){if(this._typeStack.length>0)return this._typeStack[this._typeStack.length-1]}getParentType(){if(this._parentTypeStack.length>0)return this._parentTypeStack[this._parentTypeStack.length-1]}getInputType(){if(this._inputTypeStack.length>0)return this._inputTypeStack[this._inputTypeStack.length-1]}getParentInputType(){if(this._inputTypeStack.length>1)return this._inputTypeStack[this._inputTypeStack.length-2]}getFieldDef(){if(this._fieldDefStack.length>0)return this._fieldDefStack[this._fieldDefStack.length-1]}getDefaultValue(){if(this._defaultValueStack.length>0)return this._defaultValueStack[this._defaultValueStack.length-1]}getDirective(){return this._directive}getArgument(){return this._argument}getEnumValue(){return this._enumValue}enter(e){const t=this._schema;switch(e.kind){case i.Kind.SELECTION_SET:{const s=i.getNamedType(this.getType());this._parentTypeStack.push(i.isCompositeType(s)?s:void 0);break}case i.Kind.FIELD:{const s=this.getParentType();let o,a;s&&(o=this._getFieldDef(t,s,e),o&&(a=o.type)),this._fieldDefStack.push(o),this._typeStack.push(i.isOutputType(a)?a:void 0);break}case i.Kind.DIRECTIVE:this._directive=t.getDirective(e.name.value);break;case i.Kind.OPERATION_DEFINITION:{const s=t.getRootType(e.operation);this._typeStack.push(i.isObjectType(s)?s:void 0);break}case i.Kind.INLINE_FRAGMENT:case i.Kind.FRAGMENT_DEFINITION:{const s=e.typeCondition,o=s?E(t,s):i.getNamedType(this.getType());this._typeStack.push(i.isOutputType(o)?o:void 0);break}case i.Kind.VARIABLE_DEFINITION:{const s=E(t,e.type);this._inputTypeStack.push(i.isInputType(s)?s:void 0);break}case i.Kind.ARGUMENT:{var r;let s,o;const a=(r=this.getDirective())!==null&&r!==void 0?r:this.getFieldDef();a&&(s=a.args.find(c=>c.name===e.name.value),s&&(o=s.type)),this._argument=s,this._defaultValueStack.push(s?s.defaultValue:void 0),this._inputTypeStack.push(i.isInputType(o)?o:void 0);break}case i.Kind.LIST:{const s=i.getNullableType(this.getInputType()),o=i.isListType(s)?s.ofType:s;this._defaultValueStack.push(void 0),this._inputTypeStack.push(i.isInputType(o)?o:void 0);break}case i.Kind.OBJECT_FIELD:{const s=i.getNamedType(this.getInputType());let o,a;i.isInputObjectType(s)&&(a=s.getFields()[e.name.value],a&&(o=a.type)),this._defaultValueStack.push(a?a.defaultValue:void 0),this._inputTypeStack.push(i.isInputType(o)?o:void 0);break}case i.Kind.ENUM:{const s=i.getNamedType(this.getInputType());let o;i.isEnumType(s)&&(o=s.getValue(e.value)),this._enumValue=o;break}}}leave(e){switch(e.kind){case i.Kind.SELECTION_SET:this._parentTypeStack.pop();break;case i.Kind.FIELD:this._fieldDefStack.pop(),this._typeStack.pop();break;case i.Kind.DIRECTIVE:this._directive=null;break;case i.Kind.OPERATION_DEFINITION:case i.Kind.INLINE_FRAGMENT:case i.Kind.FRAGMENT_DEFINITION:this._typeStack.pop();break;case i.Kind.VARIABLE_DEFINITION:this._inputTypeStack.pop();break;case i.Kind.ARGUMENT:this._argument=null,this._defaultValueStack.pop(),this._inputTypeStack.pop();break;case i.Kind.LIST:case i.Kind.OBJECT_FIELD:this._defaultValueStack.pop(),this._inputTypeStack.pop();break;case i.Kind.ENUM:this._enumValue=null;break}}}function un(n,e,t){const r=t.name.value;if(r===m.SchemaMetaFieldDef.name&&n.getQueryType()===e)return m.SchemaMetaFieldDef;if(r===m.TypeMetaFieldDef.name&&n.getQueryType()===e)return m.TypeMetaFieldDef;if(r===m.TypeNameMetaFieldDef.name&&i.isCompositeType(e))return m.TypeNameMetaFieldDef;if(i.isObjectType(e)||i.isInterfaceType(e))return e.getFields()[r]}function Ne(n,e){return{enter(...t){const r=t[0];n.enter(r);const s=i.getEnterLeaveForKind(e,r.kind).enter;if(s){const o=s.apply(e,t);return o!==void 0&&(n.leave(r),i.isNode(o)&&n.enter(o)),o}},leave(...t){const r=t[0],s=i.getEnterLeaveForKind(e,r.kind).leave;let o;return s&&(o=s.apply(e,t)),n.leave(r),o}}}function ln(n){return n.kind===i.Kind.OPERATION_DEFINITION||n.kind===i.Kind.FRAGMENT_DEFINITION}function pn(n){return n.kind===i.Kind.SCHEMA_DEFINITION||K(n)||n.kind===i.Kind.DIRECTIVE_DEFINITION}function K(n){return n.kind===i.Kind.SCALAR_TYPE_DEFINITION||n.kind===i.Kind.OBJECT_TYPE_DEFINITION||n.kind===i.Kind.INTERFACE_TYPE_DEFINITION||n.kind===i.Kind.UNION_TYPE_DEFINITION||n.kind===i.Kind.ENUM_TYPE_DEFINITION||n.kind===i.Kind.INPUT_OBJECT_TYPE_DEFINITION}function fn(n){return n.kind===i.Kind.SCHEMA_EXTENSION||ve(n)}function ve(n){return n.kind===i.Kind.SCALAR_TYPE_EXTENSION||n.kind===i.Kind.OBJECT_TYPE_EXTENSION||n.kind===i.Kind.INTERFACE_TYPE_EXTENSION||n.kind===i.Kind.UNION_TYPE_EXTENSION||n.kind===i.Kind.ENUM_TYPE_EXTENSION||n.kind===i.Kind.INPUT_OBJECT_TYPE_EXTENSION}function Ie(n){return{Document(e){for(const t of e.definitions)if(!ln(t)){const r=t.kind===i.Kind.SCHEMA_DEFINITION||t.kind===i.Kind.SCHEMA_EXTENSION?"schema":'"'+t.name.value+'"';n.reportError(new i.GraphQLError(`The ${r} definition is not executable.`,{nodes:t}))}return!1}}}function dn(n){return{Field(e){const t=n.getParentType();if(t&&!n.getFieldDef()){const s=n.getSchema(),o=e.name.value;let a=i.didYouMean("to use an inline fragment on",mn(s,t,o));a===""&&(a=i.didYouMean(Tn(t,o))),n.reportError(new i.GraphQLError(`Cannot query field "${o}" on type "${t.name}".`+a,{nodes:e}))}}}}function mn(n,e,t){if(!i.isAbstractType(e))return[];const r=new Set,s=Object.create(null);for(const a of n.getPossibleTypes(e))if(!!a.getFields()[t]){r.add(a),s[a.name]=1;for(const c of a.getInterfaces()){var o;!c.getFields()[t]||(r.add(c),s[c.name]=((o=s[c.name])!==null&&o!==void 0?o:0)+1)}}return[...r].sort((a,c)=>{const u=s[c.name]-s[a.name];return u!==0?u:i.isInterfaceType(a)&&n.isSubType(a,c)?-1:i.isInterfaceType(c)&&n.isSubType(c,a)?1:i.naturalCompare(a.name,c.name)}).map(a=>a.name)}function Tn(n,e){if(i.isObjectType(n)||i.isInterfaceType(n)){const t=Object.keys(n.getFields());return i.suggestionList(e,t)}return[]}function yn(n){return{InlineFragment(e){const t=e.typeCondition;if(t){const r=E(n.getSchema(),t);if(r&&!i.isCompositeType(r)){const s=i.print(t);n.reportError(new i.GraphQLError(`Fragment cannot condition on non composite type "${s}".`,{nodes:t}))}}},FragmentDefinition(e){const t=E(n.getSchema(),e.typeCondition);if(t&&!i.isCompositeType(t)){const r=i.print(e.typeCondition);n.reportError(new i.GraphQLError(`Fragment "${e.name.value}" cannot condition on non composite type "${r}".`,{nodes:e.typeCondition}))}}}}function gn(n){return _(N({},be(n)),{Argument(e){const t=n.getArgument(),r=n.getFieldDef(),s=n.getParentType();if(!t&&r&&s){const o=e.name.value,a=r.args.map(u=>u.name),c=i.suggestionList(o,a);n.reportError(new i.GraphQLError(`Unknown argument "${o}" on field "${s.name}.${r.name}".`+i.didYouMean(c),{nodes:e}))}}})}function be(n){const e=Object.create(null),t=n.getSchema(),r=t?t.getDirectives():$;for(const a of r)e[a.name]=a.args.map(c=>c.name);const s=n.getDocument().definitions;for(const a of s)if(a.kind===i.Kind.DIRECTIVE_DEFINITION){var o;const c=(o=a.arguments)!==null&&o!==void 0?o:[];e[a.name.value]=c.map(u=>u.name.value)}return{Directive(a){const c=a.name.value,u=e[c];if(a.arguments&&u)for(const l of a.arguments){const p=l.name.value;if(!u.includes(p)){const f=i.suggestionList(p,u);n.reportError(new i.GraphQLError(`Unknown argument "${p}" on directive "@${c}".`+i.didYouMean(f),{nodes:l}))}}return!1}}}function q(n){const e=Object.create(null),t=n.getSchema(),r=t?t.getDirectives():$;for(const o of r)e[o.name]=o.locations;const s=n.getDocument().definitions;for(const o of s)o.kind===i.Kind.DIRECTIVE_DEFINITION&&(e[o.name.value]=o.locations.map(a=>a.value));return{Directive(o,a,c,u,l){const p=o.name.value,f=e[p];if(!f){n.reportError(new i.GraphQLError(`Unknown directive "@${p}".`,{nodes:o}));return}const d=En(l);d&&!f.includes(d)&&n.reportError(new i.GraphQLError(`Directive "@${p}" may not be used on ${d}.`,{nodes:o}))}}}function En(n){const e=n[n.length-1];switch("kind"in e||i.invariant(!1),e.kind){case i.Kind.OPERATION_DEFINITION:return hn(e.operation);case i.Kind.FIELD:return m.DirectiveLocation.FIELD;case i.Kind.FRAGMENT_SPREAD:return m.DirectiveLocation.FRAGMENT_SPREAD;case i.Kind.INLINE_FRAGMENT:return m.DirectiveLocation.INLINE_FRAGMENT;case i.Kind.FRAGMENT_DEFINITION:return m.DirectiveLocation.FRAGMENT_DEFINITION;case i.Kind.VARIABLE_DEFINITION:return m.DirectiveLocation.VARIABLE_DEFINITION;case i.Kind.SCHEMA_DEFINITION:case i.Kind.SCHEMA_EXTENSION:return m.DirectiveLocation.SCHEMA;case i.Kind.SCALAR_TYPE_DEFINITION:case i.Kind.SCALAR_TYPE_EXTENSION:return m.DirectiveLocation.SCALAR;case i.Kind.OBJECT_TYPE_DEFINITION:case i.Kind.OBJECT_TYPE_EXTENSION:return m.DirectiveLocation.OBJECT;case i.Kind.FIELD_DEFINITION:return m.DirectiveLocation.FIELD_DEFINITION;case i.Kind.INTERFACE_TYPE_DEFINITION:case i.Kind.INTERFACE_TYPE_EXTENSION:return m.DirectiveLocation.INTERFACE;case i.Kind.UNION_TYPE_DEFINITION:case i.Kind.UNION_TYPE_EXTENSION:return m.DirectiveLocation.UNION;case i.Kind.ENUM_TYPE_DEFINITION:case i.Kind.ENUM_TYPE_EXTENSION:return m.DirectiveLocation.ENUM;case i.Kind.ENUM_VALUE_DEFINITION:return m.DirectiveLocation.ENUM_VALUE;case i.Kind.INPUT_OBJECT_TYPE_DEFINITION:case i.Kind.INPUT_OBJECT_TYPE_EXTENSION:return m.DirectiveLocation.INPUT_OBJECT;case i.Kind.INPUT_VALUE_DEFINITION:{const t=n[n.length-3];return"kind"in t||i.invariant(!1),t.kind===i.Kind.INPUT_OBJECT_TYPE_DEFINITION?m.DirectiveLocation.INPUT_FIELD_DEFINITION:m.DirectiveLocation.ARGUMENT_DEFINITION}default:i.invariant(!1,"Unexpected kind: "+i.inspect(e.kind))}}function hn(n){switch(n){case i.OperationTypeNode.QUERY:return m.DirectiveLocation.QUERY;case i.OperationTypeNode.MUTATION:return m.DirectiveLocation.MUTATION;case i.OperationTypeNode.SUBSCRIPTION:return m.DirectiveLocation.SUBSCRIPTION}}function _e(n){return{FragmentSpread(e){const t=e.name.value;n.getFragment(t)||n.reportError(new i.GraphQLError(`Unknown fragment "${t}".`,{nodes:e.name}))}}}function B(n){const e=n.getSchema(),t=e?e.getTypeMap():Object.create(null),r=Object.create(null);for(const o of n.getDocument().definitions)K(o)&&(r[o.name.value]=!0);const s=[...Object.keys(t),...Object.keys(r)];return{NamedType(o,a,c,u,l){const p=o.name.value;if(!t[p]&&!r[p]){var f;const d=(f=l[2])!==null&&f!==void 0?f:c,T=d!=null&&Nn(d);if(T&&ae.includes(p))return;const y=i.suggestionList(p,T?ae.concat(s):s);n.reportError(new i.GraphQLError(`Unknown type "${p}".`+i.didYouMean(y),{nodes:o}))}}}}const ae=[...S.specifiedScalarTypes,...m.introspectionTypes].map(n=>n.name);function Nn(n){return"kind"in n&&(pn(n)||fn(n))}function vn(n){let e=0;return{Document(t){e=t.definitions.filter(r=>r.kind===i.Kind.OPERATION_DEFINITION).length},OperationDefinition(t){!t.name&&e>1&&n.reportError(new i.GraphQLError("This anonymous operation must be the only defined operation.",{nodes:t}))}}}function Oe(n){var e,t,r;const s=n.getSchema(),o=(e=(t=(r=s==null?void 0:s.astNode)!==null&&r!==void 0?r:s==null?void 0:s.getQueryType())!==null&&t!==void 0?t:s==null?void 0:s.getMutationType())!==null&&e!==void 0?e:s==null?void 0:s.getSubscriptionType();let a=0;return{SchemaDefinition(c){if(o){n.reportError(new i.GraphQLError("Cannot define a new schema within a schema extension.",{nodes:c}));return}a>0&&n.reportError(new i.GraphQLError("Must provide only one schema definition.",{nodes:c})),++a}}}function In(n){const e=Object.create(null),t=[],r=Object.create(null);return{OperationDefinition:()=>!1,FragmentDefinition(o){return s(o),!1}};function s(o){if(e[o.name.value])return;const a=o.name.value;e[a]=!0;const c=n.getFragmentSpreads(o.selectionSet);if(c.length!==0){r[a]=t.length;for(const u of c){const l=u.name.value,p=r[l];if(t.push(u),p===void 0){const f=n.getFragment(l);f&&s(f)}else{const f=t.slice(p),d=f.slice(0,-1).map(T=>'"'+T.name.value+'"').join(", ");n.reportError(new i.GraphQLError(`Cannot spread fragment "${l}" within itself`+(d!==""?` via ${d}.`:"."),{nodes:f}))}t.pop()}r[a]=void 0}}}function bn(n){let e=Object.create(null);return{OperationDefinition:{enter(){e=Object.create(null)},leave(t){const r=n.getRecursiveVariableUsages(t);for(const{node:s}of r){const o=s.name.value;e[o]!==!0&&n.reportError(new i.GraphQLError(t.name?`Variable "$${o}" is not defined by operation "${t.name.value}".`:`Variable "$${o}" is not defined.`,{nodes:[s,t]}))}}},VariableDefinition(t){e[t.variable.name.value]=!0}}}function De(n){const e=[],t=[];return{OperationDefinition(r){return e.push(r),!1},FragmentDefinition(r){return t.push(r),!1},Document:{leave(){const r=Object.create(null);for(const s of e)for(const o of n.getRecursivelyReferencedFragments(s))r[o.name.value]=!0;for(const s of t){const o=s.name.value;r[o]!==!0&&n.reportError(new i.GraphQLError(`Fragment "${o}" is never used.`,{nodes:s}))}}}}}function _n(n){let e=[];return{OperationDefinition:{enter(){e=[]},leave(t){const r=Object.create(null),s=n.getRecursiveVariableUsages(t);for(const{node:o}of s)r[o.name.value]=!0;for(const o of e){const a=o.variable.name.value;r[a]!==!0&&n.reportError(new i.GraphQLError(t.name?`Variable "$${a}" is never used in operation "${t.name.value}".`:`Variable "$${a}" is never used.`,{nodes:o}))}}},VariableDefinition(t){e.push(t)}}}function X(n){switch(n.kind){case i.Kind.OBJECT:return _(N({},n),{fields:On(n.fields)});case i.Kind.LIST:return _(N({},n),{values:n.values.map(X)});case i.Kind.INT:case i.Kind.FLOAT:case i.Kind.STRING:case i.Kind.BOOLEAN:case i.Kind.NULL:case i.Kind.ENUM:case i.Kind.VARIABLE:return n}}function On(n){return n.map(e=>_(N({},e),{value:X(e.value)})).sort((e,t)=>i.naturalCompare(e.name.value,t.name.value))}function Se(n){return Array.isArray(n)?n.map(([e,t])=>`subfields "${e}" conflict because `+Se(t)).join(" and "):n}function Dn(n){const e=new Rn,t=new Map;return{SelectionSet(r){const s=Sn(n,t,e,n.getParentType(),r);for(const[[o,a],c,u]of s){const l=Se(a);n.reportError(new i.GraphQLError(`Fields "${o}" conflict because ${l}. Use different aliases on the fields to fetch both if this was intentional.`,{nodes:c.concat(u)}))}}}}function Sn(n,e,t,r,s){const o=[],[a,c]=A(n,e,r,s);if($n(n,o,e,t,a),c.length!==0)for(let u=0;u<c.length;u++){k(n,o,e,t,!1,a,c[u]);for(let l=u+1;l<c.length;l++)w(n,o,e,t,!1,c[u],c[l])}return o}function k(n,e,t,r,s,o,a){const c=n.getFragment(a);if(!c)return;const[u,l]=G(n,t,c);if(o!==u){J(n,e,t,r,s,o,u);for(const p of l)r.has(p,a,s)||(r.add(p,a,s),k(n,e,t,r,s,o,p))}}function w(n,e,t,r,s,o,a){if(o===a||r.has(o,a,s))return;r.add(o,a,s);const c=n.getFragment(o),u=n.getFragment(a);if(!c||!u)return;const[l,p]=G(n,t,c),[f,d]=G(n,t,u);J(n,e,t,r,s,l,f);for(const T of d)w(n,e,t,r,s,o,T);for(const T of p)w(n,e,t,r,s,T,a)}function Ln(n,e,t,r,s,o,a,c){const u=[],[l,p]=A(n,e,s,o),[f,d]=A(n,e,a,c);J(n,u,e,t,r,l,f);for(const T of d)k(n,u,e,t,r,l,T);for(const T of p)k(n,u,e,t,r,f,T);for(const T of p)for(const y of d)w(n,u,e,t,r,T,y);return u}function $n(n,e,t,r,s){for(const[o,a]of Object.entries(s))if(a.length>1)for(let c=0;c<a.length;c++)for(let u=c+1;u<a.length;u++){const l=Le(n,t,r,!1,o,a[c],a[u]);l&&e.push(l)}}function J(n,e,t,r,s,o,a){for(const[c,u]of Object.entries(o)){const l=a[c];if(l)for(const p of u)for(const f of l){const d=Le(n,t,r,s,c,p,f);d&&e.push(d)}}}function Le(n,e,t,r,s,o,a){const[c,u,l]=o,[p,f,d]=a,T=r||c!==p&&i.isObjectType(c)&&i.isObjectType(p);if(!T){const F=u.name.value,ne=f.name.value;if(F!==ne)return[[s,`"${F}" and "${ne}" are different fields`],[u],[f]];if(ce(u)!==ce(f))return[[s,"they have differing arguments"],[u],[f]]}const y=l==null?void 0:l.type,b=d==null?void 0:d.type;if(y&&b&&U(y,b))return[[s,`they return conflicting types "${i.inspect(y)}" and "${i.inspect(b)}"`],[u],[f]];const x=u.selectionSet,ee=f.selectionSet;if(x&&ee){const F=Ln(n,e,t,T,i.getNamedType(y),x,i.getNamedType(b),ee);return Fn(F,s,u,f)}}function ce(n){var e;const t=(e=n.arguments)!==null&&e!==void 0?e:[],r={kind:i.Kind.OBJECT,fields:t.map(s=>({kind:i.Kind.OBJECT_FIELD,name:s.name,value:s.value}))};return i.print(X(r))}function U(n,e){return i.isListType(n)?i.isListType(e)?U(n.ofType,e.ofType):!0:i.isListType(e)?!0:i.isNonNullType(n)?i.isNonNullType(e)?U(n.ofType,e.ofType):!0:i.isNonNullType(e)?!0:i.isLeafType(n)||i.isLeafType(e)?n!==e:!1}function A(n,e,t,r){const s=e.get(r);if(s)return s;const o=Object.create(null),a=Object.create(null);$e(n,t,r,o,a);const c=[o,Object.keys(a)];return e.set(r,c),c}function G(n,e,t){const r=e.get(t.selectionSet);if(r)return r;const s=E(n.getSchema(),t.typeCondition);return A(n,e,s,t.selectionSet)}function $e(n,e,t,r,s){for(const o of t.selections)switch(o.kind){case i.Kind.FIELD:{const a=o.name.value;let c;(i.isObjectType(e)||i.isInterfaceType(e))&&(c=e.getFields()[a]);const u=o.alias?o.alias.value:a;r[u]||(r[u]=[]),r[u].push([e,o,c]);break}case i.Kind.FRAGMENT_SPREAD:s[o.name.value]=!0;break;case i.Kind.INLINE_FRAGMENT:{const a=o.typeCondition,c=a?E(n.getSchema(),a):e;$e(n,c,o.selectionSet,r,s);break}}}function Fn(n,e,t,r){if(n.length>0)return[[e,n.map(([s])=>s)],[t,...n.map(([,s])=>s).flat()],[r,...n.map(([,,s])=>s).flat()]]}class Rn{constructor(){this._data=new Map}has(e,t,r){var s;const[o,a]=e<t?[e,t]:[t,e],c=(s=this._data.get(o))===null||s===void 0?void 0:s.get(a);return c===void 0?!1:r?!0:r===c}add(e,t,r){const[s,o]=e<t?[e,t]:[t,e],a=this._data.get(s);a===void 0?this._data.set(s,new Map([[o,r]])):a.set(o,r)}}function kn(n){return{InlineFragment(e){const t=n.getType(),r=n.getParentType();if(i.isCompositeType(t)&&i.isCompositeType(r)&&!g.doTypesOverlap(n.getSchema(),t,r)){const s=i.inspect(r),o=i.inspect(t);n.reportError(new i.GraphQLError(`Fragment cannot be spread here as objects of type "${s}" can never be of type "${o}".`,{nodes:e}))}},FragmentSpread(e){const t=e.name.value,r=wn(n,t),s=n.getParentType();if(r&&s&&!g.doTypesOverlap(n.getSchema(),r,s)){const o=i.inspect(s),a=i.inspect(r);n.reportError(new i.GraphQLError(`Fragment "${t}" cannot be spread here as objects of type "${o}" can never be of type "${a}".`,{nodes:e}))}}}}function wn(n,e){const t=n.getFragment(e);if(t){const r=E(n.getSchema(),t.typeCondition);if(i.isCompositeType(r))return r}}function Fe(n){const e=n.getSchema(),t=Object.create(null);for(const s of n.getDocument().definitions)K(s)&&(t[s.name.value]=s);return{ScalarTypeExtension:r,ObjectTypeExtension:r,InterfaceTypeExtension:r,UnionTypeExtension:r,EnumTypeExtension:r,InputObjectTypeExtension:r};function r(s){const o=s.name.value,a=t[o],c=e==null?void 0:e.getType(o);let u;if(a?u=An[a.kind]:c&&(u=jn(c)),u){if(u!==s.kind){const l=Kn(s.kind);n.reportError(new i.GraphQLError(`Cannot extend non-${l} type "${o}".`,{nodes:a?[a,s]:s}))}}else{const l=Object.keys(N(N({},t),e==null?void 0:e.getTypeMap())),p=i.suggestionList(o,l);n.reportError(new i.GraphQLError(`Cannot extend type "${o}" because it is not defined.`+i.didYouMean(p),{nodes:s.name}))}}}const An={[i.Kind.SCALAR_TYPE_DEFINITION]:i.Kind.SCALAR_TYPE_EXTENSION,[i.Kind.OBJECT_TYPE_DEFINITION]:i.Kind.OBJECT_TYPE_EXTENSION,[i.Kind.INTERFACE_TYPE_DEFINITION]:i.Kind.INTERFACE_TYPE_EXTENSION,[i.Kind.UNION_TYPE_DEFINITION]:i.Kind.UNION_TYPE_EXTENSION,[i.Kind.ENUM_TYPE_DEFINITION]:i.Kind.ENUM_TYPE_EXTENSION,[i.Kind.INPUT_OBJECT_TYPE_DEFINITION]:i.Kind.INPUT_OBJECT_TYPE_EXTENSION};function jn(n){if(i.isScalarType(n))return i.Kind.SCALAR_TYPE_EXTENSION;if(i.isObjectType(n))return i.Kind.OBJECT_TYPE_EXTENSION;if(i.isInterfaceType(n))return i.Kind.INTERFACE_TYPE_EXTENSION;if(i.isUnionType(n))return i.Kind.UNION_TYPE_EXTENSION;if(i.isEnumType(n))return i.Kind.ENUM_TYPE_EXTENSION;if(i.isInputObjectType(n))return i.Kind.INPUT_OBJECT_TYPE_EXTENSION;i.invariant(!1,"Unexpected type: "+i.inspect(n))}function Kn(n){switch(n){case i.Kind.SCALAR_TYPE_EXTENSION:return"scalar";case i.Kind.OBJECT_TYPE_EXTENSION:return"object";case i.Kind.INTERFACE_TYPE_EXTENSION:return"interface";case i.Kind.UNION_TYPE_EXTENSION:return"union";case i.Kind.ENUM_TYPE_EXTENSION:return"enum";case i.Kind.INPUT_OBJECT_TYPE_EXTENSION:return"input object";default:i.invariant(!1,"Unexpected kind: "+i.inspect(n))}}function Cn(n){return _(N({},Re(n)),{Field:{leave(e){var t;const r=n.getFieldDef();if(!r)return!1;const s=new Set((t=e.arguments)===null||t===void 0?void 0:t.map(o=>o.name.value));for(const o of r.args)if(!s.has(o.name)&&i.isRequiredArgument(o)){const a=i.inspect(o.type);n.reportError(new i.GraphQLError(`Field "${r.name}" argument "${o.name}" of type "${a}" is required, but it was not provided.`,{nodes:e}))}}}})}function Re(n){var e;const t=Object.create(null),r=n.getSchema(),s=(e=r==null?void 0:r.getDirectives())!==null&&e!==void 0?e:$;for(const c of s)t[c.name]=i.keyMap(c.args.filter(i.isRequiredArgument),u=>u.name);const o=n.getDocument().definitions;for(const c of o)if(c.kind===i.Kind.DIRECTIVE_DEFINITION){var a;const u=(a=c.arguments)!==null&&a!==void 0?a:[];t[c.name.value]=i.keyMap(u.filter(Mn),l=>l.name.value)}return{Directive:{leave(c){const u=c.name.value,l=t[u];if(l){var p;const f=(p=c.arguments)!==null&&p!==void 0?p:[],d=new Set(f.map(T=>T.name.value));for(const[T,y]of Object.entries(l))if(!d.has(T)){const b=i.isType(y.type)?i.inspect(y.type):i.print(y.type);n.reportError(new i.GraphQLError(`Directive "@${u}" argument "${T}" of type "${b}" is required, but it was not provided.`,{nodes:c}))}}}}}}function Mn(n){return n.type.kind===i.Kind.NON_NULL_TYPE&&n.defaultValue==null}function Vn(n){return{Field(e){const t=n.getType(),r=e.selectionSet;if(t){if(i.isLeafType(i.getNamedType(t))){if(r){const s=e.name.value,o=i.inspect(t);n.reportError(new i.GraphQLError(`Field "${s}" must not have a selection since type "${o}" has no subfields.`,{nodes:r}))}}else if(!r){const s=e.name.value,o=i.inspect(t);n.reportError(new i.GraphQLError(`Field "${s}" of type "${o}" must have a selection of subfields. Did you mean "${s} { ... }"?`,{nodes:e}))}}}}}function O(n,e,t){if(!!n){if(n.kind===i.Kind.VARIABLE){const r=n.name.value;if(t==null||t[r]===void 0)return;const s=t[r];return s===null&&i.isNonNullType(e)?void 0:s}if(i.isNonNullType(e))return n.kind===i.Kind.NULL?void 0:O(n,e.ofType,t);if(n.kind===i.Kind.NULL)return null;if(i.isListType(e)){const r=e.ofType;if(n.kind===i.Kind.LIST){const o=[];for(const a of n.values)if(ue(a,t)){if(i.isNonNullType(r))return;o.push(null)}else{const c=O(a,r,t);if(c===void 0)return;o.push(c)}return o}const s=O(n,r,t);return s===void 0?void 0:[s]}if(i.isInputObjectType(e)){if(n.kind!==i.Kind.OBJECT)return;const r=Object.create(null),s=i.keyMap(n.fields,o=>o.name.value);for(const o of Object.values(e.getFields())){const a=s[o.name];if(!a||ue(a.value,t)){if(o.defaultValue!==void 0)r[o.name]=o.defaultValue;else if(i.isNonNullType(o.type))return;continue}const c=O(a.value,o.type,t);if(c===void 0)return;r[o.name]=c}return r}if(i.isLeafType(e)){let r;try{r=e.parseLiteral(n,t)}catch{return}return r===void 0?void 0:r}i.invariant(!1,"Unexpected input type: "+i.inspect(e))}}function ue(n,e){return n.kind===i.Kind.VARIABLE&&(e==null||e[n.name.value]===void 0)}function Un(n,e,t){var r;const s={},o=(r=e.arguments)!==null&&r!==void 0?r:[],a=i.keyMap(o,c=>c.name.value);for(const c of n.args){const u=c.name,l=c.type,p=a[u];if(!p){if(c.defaultValue!==void 0)s[u]=c.defaultValue;else if(i.isNonNullType(l))throw new i.GraphQLError(`Argument "${u}" of required type "${i.inspect(l)}" was not provided.`,{nodes:e});continue}const f=p.value;let d=f.kind===i.Kind.NULL;if(f.kind===i.Kind.VARIABLE){const y=f.name.value;if(t==null||!Gn(t,y)){if(c.defaultValue!==void 0)s[u]=c.defaultValue;else if(i.isNonNullType(l))throw new i.GraphQLError(`Argument "${u}" of required type "${i.inspect(l)}" was provided the variable "$${y}" which was not provided a runtime value.`,{nodes:f});continue}d=t[y]==null}if(d&&i.isNonNullType(l))throw new i.GraphQLError(`Argument "${u}" of non-null type "${i.inspect(l)}" must not be null.`,{nodes:f});const T=O(f,l,t);if(T===void 0)throw new i.GraphQLError(`Argument "${u}" has invalid value ${i.print(f)}.`,{nodes:f});s[u]=T}return s}function le(n,e,t){var r;const s=(r=e.directives)===null||r===void 0?void 0:r.find(o=>o.name.value===n.name);if(s)return Un(n,s,t)}function Gn(n,e){return Object.prototype.hasOwnProperty.call(n,e)}function Pn(n,e,t,r,s){const o=new Map;return P(n,e,t,r,s,o,new Set),o}function P(n,e,t,r,s,o,a){for(const c of s.selections)switch(c.kind){case i.Kind.FIELD:{if(!V(t,c))continue;const u=Qn(c),l=o.get(u);l!==void 0?l.push(c):o.set(u,[c]);break}case i.Kind.INLINE_FRAGMENT:{if(!V(t,c)||!pe(n,c,r))continue;P(n,e,t,r,c.selectionSet,o,a);break}case i.Kind.FRAGMENT_SPREAD:{const u=c.name.value;if(a.has(u)||!V(t,c))continue;a.add(u);const l=e[u];if(!l||!pe(n,l,r))continue;P(n,e,t,r,l.selectionSet,o,a);break}}}function V(n,e){const t=le(ge,e,n);if((t==null?void 0:t.if)===!0)return!1;const r=le(ye,e,n);return(r==null?void 0:r.if)!==!1}function pe(n,e,t){const r=e.typeCondition;if(!r)return!0;const s=E(n,r);return s===t?!0:i.isAbstractType(s)?n.isSubType(s,t):!1}function Qn(n){return n.alias?n.alias.value:n.name.value}function Yn(n){return{OperationDefinition(e){if(e.operation==="subscription"){const t=n.getSchema(),r=t.getSubscriptionType();if(r){const s=e.name?e.name.value:null,o=Object.create(null),a=n.getDocument(),c=Object.create(null);for(const l of a.definitions)l.kind===i.Kind.FRAGMENT_DEFINITION&&(c[l.name.value]=l);const u=Pn(t,c,o,r,e.selectionSet);if(u.size>1){const f=[...u.values()].slice(1).flat();n.reportError(new i.GraphQLError(s!=null?`Subscription "${s}" must select only one top level field.`:"Anonymous Subscription must select only one top level field.",{nodes:f}))}for(const l of u.values())l[0].name.value.startsWith("__")&&n.reportError(new i.GraphQLError(s!=null?`Subscription "${s}" must not select an introspection top level field.`:"Anonymous Subscription must not select an introspection top level field.",{nodes:l}))}}}}}function H(n,e){const t=new Map;for(const r of n){const s=e(r),o=t.get(s);o===void 0?t.set(s,[r]):o.push(r)}return t}function qn(n){return{DirectiveDefinition(r){var s;const o=(s=r.arguments)!==null&&s!==void 0?s:[];return t(`@${r.name.value}`,o)},InterfaceTypeDefinition:e,InterfaceTypeExtension:e,ObjectTypeDefinition:e,ObjectTypeExtension:e};function e(r){var s;const o=r.name.value,a=(s=r.fields)!==null&&s!==void 0?s:[];for(const u of a){var c;const l=u.name.value,p=(c=u.arguments)!==null&&c!==void 0?c:[];t(`${o}.${l}`,p)}return!1}function t(r,s){const o=H(s,a=>a.name.value);for(const[a,c]of o)c.length>1&&n.reportError(new i.GraphQLError(`Argument "${r}(${a}:)" can only be defined once.`,{nodes:c.map(u=>u.name)}));return!1}}function W(n){return{Field:e,Directive:e};function e(t){var r;const s=(r=t.arguments)!==null&&r!==void 0?r:[],o=H(s,a=>a.name.value);for(const[a,c]of o)c.length>1&&n.reportError(new i.GraphQLError(`There can be only one argument named "${a}".`,{nodes:c.map(u=>u.name)}))}}function ke(n){const e=Object.create(null),t=n.getSchema();return{DirectiveDefinition(r){const s=r.name.value;if(t!=null&&t.getDirective(s)){n.reportError(new i.GraphQLError(`Directive "@${s}" already exists in the schema. It cannot be redefined.`,{nodes:r.name}));return}return e[s]?n.reportError(new i.GraphQLError(`There can be only one directive named "@${s}".`,{nodes:[e[s],r.name]})):e[s]=r.name,!1}}}function z(n){const e=Object.create(null),t=n.getSchema(),r=t?t.getDirectives():$;for(const c of r)e[c.name]=!c.isRepeatable;const s=n.getDocument().definitions;for(const c of s)c.kind===i.Kind.DIRECTIVE_DEFINITION&&(e[c.name.value]=!c.repeatable);const o=Object.create(null),a=Object.create(null);return{enter(c){if(!("directives"in c)||!c.directives)return;let u;if(c.kind===i.Kind.SCHEMA_DEFINITION||c.kind===i.Kind.SCHEMA_EXTENSION)u=o;else if(K(c)||ve(c)){const l=c.name.value;u=a[l],u===void 0&&(a[l]=u=Object.create(null))}else u=Object.create(null);for(const l of c.directives){const p=l.name.value;e[p]&&(u[p]?n.reportError(new i.GraphQLError(`The directive "@${p}" can only be used once at this location.`,{nodes:[u[p],l]})):u[p]=l)}}}}function we(n){const e=n.getSchema(),t=e?e.getTypeMap():Object.create(null),r=Object.create(null);return{EnumTypeDefinition:s,EnumTypeExtension:s};function s(o){var a;const c=o.name.value;r[c]||(r[c]=Object.create(null));const u=(a=o.values)!==null&&a!==void 0?a:[],l=r[c];for(const p of u){const f=p.name.value,d=t[c];i.isEnumType(d)&&d.getValue(f)?n.reportError(new i.GraphQLError(`Enum value "${c}.${f}" already exists in the schema. It cannot also be defined in this type extension.`,{nodes:p.name})):l[f]?n.reportError(new i.GraphQLError(`Enum value "${c}.${f}" can only be defined once.`,{nodes:[l[f],p.name]})):l[f]=p.name}return!1}}function Ae(n){const e=n.getSchema(),t=e?e.getTypeMap():Object.create(null),r=Object.create(null);return{InputObjectTypeDefinition:s,InputObjectTypeExtension:s,InterfaceTypeDefinition:s,InterfaceTypeExtension:s,ObjectTypeDefinition:s,ObjectTypeExtension:s};function s(o){var a;const c=o.name.value;r[c]||(r[c]=Object.create(null));const u=(a=o.fields)!==null&&a!==void 0?a:[],l=r[c];for(const p of u){const f=p.name.value;Bn(t[c],f)?n.reportError(new i.GraphQLError(`Field "${c}.${f}" already exists in the schema. It cannot also be defined in this type extension.`,{nodes:p.name})):l[f]?n.reportError(new i.GraphQLError(`Field "${c}.${f}" can only be defined once.`,{nodes:[l[f],p.name]})):l[f]=p.name}return!1}}function Bn(n,e){return i.isObjectType(n)||i.isInterfaceType(n)||i.isInputObjectType(n)?n.getFields()[e]!=null:!1}function Xn(n){const e=Object.create(null);return{OperationDefinition:()=>!1,FragmentDefinition(t){const r=t.name.value;return e[r]?n.reportError(new i.GraphQLError(`There can be only one fragment named "${r}".`,{nodes:[e[r],t.name]})):e[r]=t.name,!1}}}function Z(n){const e=[];let t=Object.create(null);return{ObjectValue:{enter(){e.push(t),t=Object.create(null)},leave(){const r=e.pop();r||i.invariant(!1),t=r}},ObjectField(r){const s=r.name.value;t[s]?n.reportError(new i.GraphQLError(`There can be only one input field named "${s}".`,{nodes:[t[s],r.name]})):t[s]=r.name}}}function Jn(n){const e=Object.create(null);return{OperationDefinition(t){const r=t.name;return r&&(e[r.value]?n.reportError(new i.GraphQLError(`There can be only one operation named "${r.value}".`,{nodes:[e[r.value],r]})):e[r.value]=r),!1},FragmentDefinition:()=>!1}}function je(n){const e=n.getSchema(),t=Object.create(null),r=e?{query:e.getQueryType(),mutation:e.getMutationType(),subscription:e.getSubscriptionType()}:{};return{SchemaDefinition:s,SchemaExtension:s};function s(o){var a;const c=(a=o.operationTypes)!==null&&a!==void 0?a:[];for(const u of c){const l=u.operation,p=t[l];r[l]?n.reportError(new i.GraphQLError(`Type for ${l} already defined in the schema. It cannot be redefined.`,{nodes:u})):p?n.reportError(new i.GraphQLError(`There can be only one ${l} type in schema.`,{nodes:[p,u]})):t[l]=u}return!1}}function Ke(n){const e=Object.create(null),t=n.getSchema();return{ScalarTypeDefinition:r,ObjectTypeDefinition:r,InterfaceTypeDefinition:r,UnionTypeDefinition:r,EnumTypeDefinition:r,InputObjectTypeDefinition:r};function r(s){const o=s.name.value;if(t!=null&&t.getType(o)){n.reportError(new i.GraphQLError(`Type "${o}" already exists in the schema. It cannot also be defined in this type definition.`,{nodes:s.name}));return}return e[o]?n.reportError(new i.GraphQLError(`There can be only one type named "${o}".`,{nodes:[e[o],s.name]})):e[o]=s.name,!1}}function Hn(n){return{OperationDefinition(e){var t;const r=(t=e.variableDefinitions)!==null&&t!==void 0?t:[],s=H(r,o=>o.variable.name.value);for(const[o,a]of s)a.length>1&&n.reportError(new i.GraphQLError(`There can be only one variable named "$${o}".`,{nodes:a.map(c=>c.variable.name)}))}}}function Wn(n){return{ListValue(e){const t=i.getNullableType(n.getParentInputType());if(!i.isListType(t))return v(n,e),!1},ObjectValue(e){const t=i.getNamedType(n.getInputType());if(!i.isInputObjectType(t))return v(n,e),!1;const r=i.keyMap(e.fields,s=>s.name.value);for(const s of Object.values(t.getFields()))if(!r[s.name]&&i.isRequiredInputField(s)){const a=i.inspect(s.type);n.reportError(new i.GraphQLError(`Field "${t.name}.${s.name}" of required type "${a}" was not provided.`,{nodes:e}))}},ObjectField(e){const t=i.getNamedType(n.getParentInputType());if(!n.getInputType()&&i.isInputObjectType(t)){const s=i.suggestionList(e.name.value,Object.keys(t.getFields()));n.reportError(new i.GraphQLError(`Field "${e.name.value}" is not defined by type "${t.name}".`+i.didYouMean(s),{nodes:e}))}},NullValue(e){const t=n.getInputType();i.isNonNullType(t)&&n.reportError(new i.GraphQLError(`Expected value of type "${i.inspect(t)}", found ${i.print(e)}.`,{nodes:e}))},EnumValue:e=>v(n,e),IntValue:e=>v(n,e),FloatValue:e=>v(n,e),StringValue:e=>v(n,e),BooleanValue:e=>v(n,e)}}function v(n,e){const t=n.getInputType();if(!t)return;const r=i.getNamedType(t);if(!i.isLeafType(r)){const s=i.inspect(t);n.reportError(new i.GraphQLError(`Expected value of type "${s}", found ${i.print(e)}.`,{nodes:e}));return}try{if(r.parseLiteral(e,void 0)===void 0){const o=i.inspect(t);n.reportError(new i.GraphQLError(`Expected value of type "${o}", found ${i.print(e)}.`,{nodes:e}))}}catch(s){const o=i.inspect(t);s instanceof i.GraphQLError?n.reportError(s):n.reportError(new i.GraphQLError(`Expected value of type "${o}", found ${i.print(e)}; `+s.message,{nodes:e,originalError:s}))}}function zn(n){return{VariableDefinition(e){const t=E(n.getSchema(),e.type);if(t!==void 0&&!i.isInputType(t)){const r=e.variable.name.value,s=i.print(e.type);n.reportError(new i.GraphQLError(`Variable "$${r}" cannot be non-input type "${s}".`,{nodes:e.type}))}}}}function Zn(n){let e=Object.create(null);return{OperationDefinition:{enter(){e=Object.create(null)},leave(t){const r=n.getRecursiveVariableUsages(t);for(const{node:s,type:o,defaultValue:a}of r){const c=s.name.value,u=e[c];if(u&&o){const l=n.getSchema(),p=E(l,u.type);if(p&&!xn(l,p,u.defaultValue,o,a)){const f=i.inspect(p),d=i.inspect(o);n.reportError(new i.GraphQLError(`Variable "$${c}" of type "${f}" used in position expecting type "${d}".`,{nodes:[u,s]}))}}}}},VariableDefinition(t){e[t.variable.name.value]=t}}}function xn(n,e,t,r,s){if(i.isNonNullType(r)&&!i.isNonNullType(e)){if(!(t!=null&&t.kind!==i.Kind.NULL)&&!(s!==void 0))return!1;const c=r.ofType;return g.isTypeSubTypeOf(n,e,c)}return g.isTypeSubTypeOf(n,e,r)}const Ce=Object.freeze([Ie,Jn,vn,Yn,B,yn,zn,Vn,dn,Xn,_e,De,kn,In,Hn,bn,_n,q,z,gn,W,Wn,Cn,Zn,Dn,Z]);Object.freeze([Oe,je,Ke,we,Ae,qn,ke,B,q,z,Fe,be,W,Z,Re]);class et{constructor(e,t){this._ast=e,this._fragments=void 0,this._fragmentSpreads=new Map,this._recursivelyReferencedFragments=new Map,this._onError=t}get[Symbol.toStringTag](){return"ASTValidationContext"}reportError(e){this._onError(e)}getDocument(){return this._ast}getFragment(e){let t;if(this._fragments)t=this._fragments;else{t=Object.create(null);for(const r of this.getDocument().definitions)r.kind===i.Kind.FRAGMENT_DEFINITION&&(t[r.name.value]=r);this._fragments=t}return t[e]}getFragmentSpreads(e){let t=this._fragmentSpreads.get(e);if(!t){t=[];const r=[e];let s;for(;s=r.pop();)for(const o of s.selections)o.kind===i.Kind.FRAGMENT_SPREAD?t.push(o):o.selectionSet&&r.push(o.selectionSet);this._fragmentSpreads.set(e,t)}return t}getRecursivelyReferencedFragments(e){let t=this._recursivelyReferencedFragments.get(e);if(!t){t=[];const r=Object.create(null),s=[e.selectionSet];let o;for(;o=s.pop();)for(const a of this.getFragmentSpreads(o)){const c=a.name.value;if(r[c]!==!0){r[c]=!0;const u=this.getFragment(c);u&&(t.push(u),s.push(u.selectionSet))}}this._recursivelyReferencedFragments.set(e,t)}return t}}class nt extends et{constructor(e,t,r,s){super(t,s),this._schema=e,this._typeInfo=r,this._variableUsages=new Map,this._recursiveVariableUsages=new Map}get[Symbol.toStringTag](){return"ValidationContext"}getSchema(){return this._schema}getVariableUsages(e){let t=this._variableUsages.get(e);if(!t){const r=[],s=new he(this._schema);i.visit(e,Ne(s,{VariableDefinition:()=>!1,Variable(o){r.push({node:o,type:s.getInputType(),defaultValue:s.getDefaultValue()})}})),t=r,this._variableUsages.set(e,t)}return t}getRecursiveVariableUsages(e){let t=this._recursiveVariableUsages.get(e);if(!t){t=this.getVariableUsages(e);for(const r of this.getRecursivelyReferencedFragments(e))t=t.concat(this.getVariableUsages(r));this._recursiveVariableUsages.set(e,t)}return t}getType(){return this._typeInfo.getType()}getParentType(){return this._typeInfo.getParentType()}getInputType(){return this._typeInfo.getInputType()}getParentInputType(){return this._typeInfo.getParentInputType()}getFieldDef(){return this._typeInfo.getFieldDef()}getDirective(){return this._typeInfo.getDirective()}getArgument(){return this._typeInfo.getArgument()}getEnumValue(){return this._typeInfo.getEnumValue()}}function Me(n,e,t=Ce,r,s=new he(n)){var o;const a=(o=r==null?void 0:r.maxErrors)!==null&&o!==void 0?o:100;e||i.devAssert(!1,"Must provide document."),ze(n);const c=Object.freeze({}),u=[],l=new nt(n,e,s,f=>{if(u.length>=a)throw u.push(new i.GraphQLError("Too many validation errors, error limit reached. Validation aborted.")),c;u.push(f)}),p=i.visitInParallel(t.map(f=>f(l)));try{i.visit(e,Ne(s,p))}catch(f){if(f!==c)throw f}return u}function tt(n){return{Field(e){const t=n.getFieldDef(),r=t==null?void 0:t.deprecationReason;if(t&&r!=null){const s=n.getParentType();s!=null||i.invariant(!1),n.reportError(new i.GraphQLError(`The field ${s.name}.${t.name} is deprecated. ${r}`,{nodes:e}))}},Argument(e){const t=n.getArgument(),r=t==null?void 0:t.deprecationReason;if(t&&r!=null){const s=n.getDirective();if(s!=null)n.reportError(new i.GraphQLError(`Directive "@${s.name}" argument "${t.name}" is deprecated. ${r}`,{nodes:e}));else{const o=n.getParentType(),a=n.getFieldDef();o!=null&&a!=null||i.invariant(!1),n.reportError(new i.GraphQLError(`Field "${o.name}.${a.name}" argument "${t.name}" is deprecated. ${r}`,{nodes:e}))}}},ObjectField(e){const t=i.getNamedType(n.getParentInputType());if(i.isInputObjectType(t)){const r=t.getFields()[e.name.value],s=r==null?void 0:r.deprecationReason;s!=null&&n.reportError(new i.GraphQLError(`The input field ${t.name}.${r.name} is deprecated. ${s}`,{nodes:e}))}},EnumValue(e){const t=n.getEnumValue(),r=t==null?void 0:t.deprecationReason;if(t&&r!=null){const s=i.getNamedType(n.getInputType());s!=null||i.invariant(!1),n.reportError(new i.GraphQLError(`The enum value "${s.name}.${t.name}" is deprecated. ${r}`,{nodes:e}))}}}}const it=[Oe,je,Ke,we,Ae,ke,B,q,z,Fe,W,Z];function rt(n,e,t,r,s){const o=Ce.filter(c=>!(c===De||c===Ie||r&&c===_e));return t&&Array.prototype.push.apply(o,t),s&&Array.prototype.push.apply(o,it),Me(n,e,o).filter(c=>{if(c.message.indexOf("Unknown directive")!==-1&&c.nodes){const u=c.nodes[0];if(u&&u.kind===i.Kind.DIRECTIVE){const l=u.name.value;if(l==="arguments"||l==="argumentDefinitions")return!1}}return!0})}const R={Error:"Error",Warning:"Warning",Information:"Information",Hint:"Hint"},Q={[R.Error]:1,[R.Warning]:2,[R.Information]:3,[R.Hint]:4},j=(n,e)=>{if(!n)throw new Error(e)};function st(n,e=null,t,r,s){let o=null;s&&(typeof s=="string"?n+=`

`+s:n+=`

`+s.reduce((a,c)=>(a+=i.print(c)+`

`,a),""));try{o=g.parse(n)}catch(a){const c=at(a.locations[0],n);return[{severity:Q.Error,message:a.message,source:"GraphQL: Syntax",range:c}]}return ot(o,e,t,r)}function ot(n,e=null,t,r){if(!e)return[];const s=fe(rt(e,n,t,r),a=>de(a,Q.Error,"Validation")),o=fe(Me(e,n,[tt]),a=>de(a,Q.Warning,"Deprecation"));return s.concat(o)}function fe(n,e){return Array.prototype.concat.apply([],n.map(e))}function de(n,e,t){if(!n.nodes)return[];const r=[];return n.nodes.forEach(s=>{const o=s.kind!=="Variable"&&"name"in s&&s.name!==void 0?s.name:"variable"in s&&s.variable!==void 0?s.variable:s;if(o){j(n.locations,"GraphQL validation error requires locations.");const a=n.locations[0],c=ct(o),u=a.column+(c.end-c.start);r.push({source:`GraphQL: ${t}`,message:n.message,severity:e,range:new g.Range(new g.Position(a.line-1,a.column-1),new g.Position(a.line-1,u))})}}),r}function at(n,e){const t=Ye.onlineParser(),r=t.startState(),s=e.split(`
`);j(s.length>=n.line,"Query text must have more lines than where the error happened");let o=null;for(let l=0;l<n.line;l++)for(o=new g.CharacterStream(s[l]);!o.eol()&&t.token(o,r)!=="invalidchar";);j(o,"Expected Parser stream to be available.");const a=n.line-1,c=o.getStartOfToken(),u=o.getCurrentPosition();return new g.Range(new g.Position(a,c),new g.Position(a,u))}function ct(n){const t=n.loc;return j(t,"Expected ASTNode to have a location."),t}const me=["error","warning","information","hint"],ut={"GraphQL: Validation":"validation","GraphQL: Deprecation":"deprecation","GraphQL: Syntax":"syntax"};C.CodeMirror.registerHelper("lint","graphql",(n,e)=>{const t=e.schema;return st(n,t,e.validationRules,void 0,e.externalFragments).map(o=>({message:o.message,severity:o.severity?me[o.severity-1]:me[0],type:o.source?ut[o.source]:void 0,from:C.CodeMirror.Pos(o.range.start.line,o.range.start.character),to:C.CodeMirror.Pos(o.range.end.line,o.range.end.character)}))});
